#!/bin/bash

mkdir quake1

for f in `find . -name "*.tga"` ; do
	filename=$(basename $f)
	echo "Now Processing File: ${filename}"
	let filelength=${#filename}-4
	filenamenoext=${filename:0:${filelength}}
	convert "$f" -blur 0x1 -resize 25% -sharpen 0x1 -dither Riemersma -remap palette-no-fullbright.gif quake1/"$filenamenoext".tga
done
